accountActivity

One page of an account's activity cards, newest first. The accountActivity query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required: standard:read

For a complete list of possible response fields see the AccountActivity type.

query accountActivity ($accountId: ID!, $recordType: ActivityRecordType, $recordId: ID, $first: Int, $after: String, $categories: [AccountActivityCategory!], $actorType: String, $actorId: ID, $writtenBy: EventWrittenBy, $dateFrom: ISO8601Date, $dateTo: ISO8601Date, $search: String) {
  accountActivity (accountId: $accountId, recordType: $recordType, recordId: $recordId, first: $first, after: $after, categories: $categories, actorType: $actorType, actorId: $actorId, writtenBy: $writtenBy, dateFrom: $dateFrom, dateTo: $dateTo, search: $search) {
    timeZone
  }
}

ArgumentsLink to Arguments section

Name Type Description
accountId ID  
recordType ActivityRecordType  
recordId ID  
first Int Cards per page, 1 to 50
after String The page_info end_cursor of the previous page
categories List (AccountActivityCategory)  
actorType String  
actorId ID  
writtenBy EventWrittenBy  
dateFrom ISO8601Date First day, in the account entity time zone
dateTo ISO8601Date Last day, in the account entity time zone
search String Matches the record id or name, the event type code or its name

ResponseLink to Response section